<?php
/**
 * UserSettingsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * UserSettingsApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class UserSettingsApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for getAvailableSenderSettingOptions
     *
     * Get all available sender setting options which could be used in \"from\" parameter of POST messages method..
     *
     */
    public function testGetAvailableSenderSettingOptions()
    {
    }

    /**
     * Test case for getBalanceNotificationOptions
     *
     * Returns the list of available balance options which can be used as a bound to determine when to send email to user with low balance notification. See https://my.textmagic.com/online/account/notifications/balance.
     *
     */
    public function testGetBalanceNotificationOptions()
    {
    }

    /**
     * Test case for getBalanceNotificationSettings
     *
     * Get balance notification settings.
     *
     */
    public function testGetBalanceNotificationSettings()
    {
    }

    /**
     * Test case for getCallbackSettings
     *
     * Fetch callback URL settings.
     *
     */
    public function testGetCallbackSettings()
    {
    }

    /**
     * Test case for getInboundMessagesNotificationSettings
     *
     * Get inbound messages notification settings.
     *
     */
    public function testGetInboundMessagesNotificationSettings()
    {
    }

    /**
     * Test case for updateBalanceNotificationSettings
     *
     * Update balance notification settings.
     *
     */
    public function testUpdateBalanceNotificationSettings()
    {
    }

    /**
     * Test case for updateCallbackSettings
     *
     * Update callback URL settings.
     *
     */
    public function testUpdateCallbackSettings()
    {
    }

    /**
     * Test case for updateChatDesktopNotificationSettings
     *
     * Update chat desktop notification settings.
     *
     */
    public function testUpdateChatDesktopNotificationSettings()
    {
    }

    /**
     * Test case for updateInboundMessagesNotificationSettings
     *
     * Update inbound messages notification settings.
     *
     */
    public function testUpdateInboundMessagesNotificationSettings()
    {
    }
}
